#pragma once

#include "message.h"
#include <string>
#include <iterator>



class text_message : public message
{
private:
    std::string _text;

protected:
    virtual std::string get_message_length() override;
    virtual std::string get_message() override;

public:
    text_message();
    text_message(std::string);

    std::string get_text();

    virtual void receive(boost::asio::ip::tcp::socket&) override;

    virtual ~text_message() override;
};
